commit e86814328251ea7da83038605df01d8def8d873a
Author: Carl Love <cel@us.ibm.com>
Date:   Thu Aug 27 13:36:13 2020 -0500

    rs6000, remove improperly defined and unsupported builtins.
    
    gcc/ChangeLog
    
    2020-08-31  Carl Love  <cel@us.ibm.com>
    
            PR target/85830
            * config/rs6000/altivec.h (vec_popcntb, vec_popcnth, vec_popcntw,
            vec_popcntd): Remove defines.

diff --git a/gcc/config/rs6000/altivec.h b/gcc/config/rs6000/altivec.h
index 5eafa74470d..b40e750dc13 100644
--- a/gcc/config/rs6000/altivec.h
+++ b/gcc/config/rs6000/altivec.h
@@ -407,10 +407,6 @@
 #define vec_vpopcnth __builtin_vec_vpopcnth
 #define vec_vpopcntw __builtin_vec_vpopcntw
 #define vec_popcnt __builtin_vec_vpopcntu
-#define vec_popcntb __builtin_vec_vpopcntub
-#define vec_popcnth __builtin_vec_vpopcntuh
-#define vec_popcntw __builtin_vec_vpopcntuw
-#define vec_popcntd __builtin_vec_vpopcntud
 #define vec_vrld __builtin_vec_vrld
 #define vec_vsld __builtin_vec_vsld
 #define vec_vsrad __builtin_vec_vsrad

